﻿.notificationIcon {
    display: inline-block;
    width: 24px;
    height: 24px;
    background-position: center center;
    background-repeat: no-repeat;
    cursor: pointer;
    position: relative;
}
.notificationIcon:hover {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-name: tada;
    animation-name: tada;
}
.notificationIcon > span {
    border: 1px solid red;
    border-radius: 12px;
    background-color: White;
    color: Red;
    font-weight: bold;
    font-size: 7pt;
    display: block;
    position: absolute;
    left: -5px;
    text-align: center;
    line-height: 13px;
}
.notificationIcon.on { background-image: url('../icons/Bell-icon.png'); }
.notificationIcon.off { background-image: url('../icons/Bell-shadow.png'); }

.notificationBox {
    border: 1px solid black;
    border-radius: 3px;
    box-shadow: 5px 5px 10px black;
    background-color: White;
    position: absolute;
    width: 350px;
    min-height: 50px;
    max-height: 300px;
    margin-left: -326px;
    z-index: 999;
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url('../icons/Loading.gif');
}

.notificationBox .items {
    max-height: 270px;
    overflow: auto;
}
.notificationBox .items .noreg {
    height: 40px;
    text-align: center;
    color: Black;
    font-size: 9pt;
    font-weight: bold;
    background-color: white;
}

.notificationBox .item, .notificationBox .more:not(.nomore) {
    cursor: pointer;
    transition: background-color .4s;
}
.notificationBox .item:not(:last-child) {
    border-bottom: 1px solid black;
}
.notificationBox .item {
    display: block;
    background-color: white;
    padding: 3px;
}
.notificationBox .item:hover { background-color: #E0E0FF !important; }
.notificationBox .more {
    text-align: center;
    line-height: 15px;
    display: block;
    width: 100%;
    color: Black;
    border-top: 1px solid black;
}

.notificationBox .more:hover:not(.nomore) {
    background-color: gray !important;
    text-decoration: underline;
}

.notificationBox .item:not(.alreadyClicked) {
    background-color: #F5F5FF;
}
.notificationBox .item.fullNotificationIsVisible {
    font-weight: bold;
    color: black;
}
.notificationBox .item:not(.alreadyClicked) .subject {
    text-decoration: underline;
}

.notificationBox .item .sender, .notificationBox .item .date, .notificationBox .item .subject {
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 170px;
    height: 15px;
    line-height: 15px;
}
.notificationBox .item .date {
    float: right;
    width: 105px;
    text-align: right;
}
.notificationBox .item .subject {
    display: block;
    width: 100%;
    font-weight: bold;
    font-size: 9pt;
    color: Black;
}
.notificationBox .item .subject .attach, .notificationBox .item .subject .iswm, .notificationBox .item .subject .isdm {
    float: right;
    width: 16px;
    height: 16px;
    margin-left: 1px;
    background-position: center center;
    background-repeat: no-repeat;
}

.notificationBox .item .subject .attach { background-image: url('../icons/paper-clip.png'); }
.notificationBox .item .subject .iswm { background-image: url('../icons/webmail.png'); }
.notificationBox .item .subject .isdm { background-image: url('../icons/mail-at-sign.png'); }

.notificationBox .item .ctmail {
    display: block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    width: 100%;
    max-height: 30px;
    line-height: 15px;
}

#dvWndNotificationFullMessage .sender {
    border-bottom: 1px solid black;
}
#dvWndNotificationFullMessage .fullText {
    background-color: white;
}
#dvWndNotificationFullMessage .waiting {
    background-position: center center;
    background-repeat: no-repeat;
    background-image: url('../icons/Loading.gif');
    min-height: 30px;
}

.notificationFullMessageAttachments {
    float: left;
}
.notificationFullMessageAttachments > a {
    display: inline-block;
    margin: 3px;
    padding: 3px;
    text-decoration: underline;
    cursor: pointer;
    border: 1px solid transparent;
    transition: background-color .3s, border-color .3s;
    border-radius: 3px;
}
.notificationFullMessageAttachments > a:hover {
    background-color: white;
    border-color: lightgray;
    text-decoration: none;
}